var transferInventory = {
    settings: {
        ajaxUrl: ''
    },
    init: function() {
        transferInventory.initDataTable();
    },
    initDataTable: function() {

        var callBack = function() {
        };

        var datalist = jQ('#transferInventory-datalist').DataTable({
            processing: true,
            serverSide: true,
            ajax: {
                url: transferInventory.settings.ajaxUrl,
                data: function(d) {
                    d.status = jQ('#transferInventoryFilter-status').val();
                    d.url = global.settings.url;
                }
            },
            'order': [[0, 'desc']],
            columnDefs: [
                { 'orderable': false, 'targets': [5, 6, 7] },
                { 'searchable': false, 'targets': [5, 6, 7] }
            ],
            orderClasses: false,
            drawCallback: callBack,
            responsive: {
                details: {
                    renderer: function(api, rowIdx) {
                        return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                    }
                }
            }
        });

        jQ('#transferInventoryFilter-status').change(datalist.draw);

        jQ('.content-container').removeClass('has-loading'); jQ('.content-container-content').removeClass('hide');
    }
};